Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022947
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-01-31 16:192013-04-03 12:56
ReportersureshbabuView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP19
StatusclosedFix in branchFixed in SCM revisiona961a777abb8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022947: When i view the already created Receipt, in the right hand side of the terminal wrong amount appears in Discount field

DescriptionWhen i view the already created Receipt, in the right hand side of the terminal wrong amount appears in Discount field
Steps To Reproduce1) Create a receipt with
below details

VBS Customer
Descender classic
 Qty 1
Unit Price: 7.8
Total TAX 1.64
TOTAL1 9.44

complete the receipt.

Then open the receipt once again

one can see in the right hand side of the terminal the discount amount and total amount shows wrong value


Name: Descender classic
Quantity : 1
Price : 7.8
Discount : -7.8
Total :0
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056037)
hgbot (developer)
2013-02-01 09:32

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a961a777abb8bfda63df22d388026fbe302c62b6
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 01 09:32:00 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a961a777abb8bfda63df22d388026fbe302c62b6 [^]

Fixed issue 22947. The discount will be shown correctly in paid receipts in pricelists without taxes

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056041)
hgbot (developer)
2013-02-01 09:59

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ada27c46c6774e7445a8f14c50a42594c342f75e
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 01 09:59:02 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ada27c46c6774e7445a8f14c50a42594c342f75e [^]

Related to issue 22947. The total amount will also be shown correctly

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0056042)
guilleaer (developer)
2013-02-01 10:18

Verified
(0057598)
hgbot (developer)
2013-04-02 20:04

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: a961a777abb8bfda63df22d388026fbe302c62b6
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 01 09:32:00 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/a961a777abb8bfda63df22d388026fbe302c62b6 [^]

Fixed issue 22947. The discount will be shown correctly in paid receipts in pricelists without taxes

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057599)
hgbot (developer)
2013-04-02 20:04

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: ada27c46c6774e7445a8f14c50a42594c342f75e
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Feb 01 09:59:02 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/ada27c46c6774e7445a8f14c50a42594c342f75e [^]

Related to issue 22947. The total amount will also be shown correctly

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---

- Issue History
Date Modified Username Field Change
2013-01-31 16:19 sureshbabu New Issue
2013-01-31 16:19 sureshbabu Assigned To => adrianromero
2013-01-31 16:20 sureshbabu Assigned To adrianromero => marvintm
2013-02-01 09:32 hgbot Checkin
2013-02-01 09:32 hgbot Note Added: 0056037
2013-02-01 09:32 hgbot Status new => resolved
2013-02-01 09:32 hgbot Resolution open => fixed
2013-02-01 09:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a961a777abb8bfda63df22d388026fbe302c62b6 [^]
2013-02-01 09:59 hgbot Checkin
2013-02-01 09:59 hgbot Note Added: 0056041
2013-02-01 10:18 guilleaer Review Assigned To => guilleaer
2013-02-01 10:18 guilleaer Note Added: 0056042
2013-02-01 10:18 guilleaer Status resolved => closed
2013-02-01 10:18 guilleaer Fixed in Version => RMP19
2013-04-02 20:04 hgbot Checkin
2013-04-02 20:04 hgbot Note Added: 0057598
2013-04-02 20:04 hgbot Status closed => resolved
2013-04-02 20:04 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a961a777abb8bfda63df22d388026fbe302c62b6 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/a961a777abb8bfda63df22d388026fbe302c62b6 [^]
2013-04-02 20:04 hgbot Checkin
2013-04-02 20:04 hgbot Note Added: 0057599
2013-04-03 12:56 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker